%global groupId     org.glite
%global artifactId  lb-client-java

Name:           glite-lb-client-java
Version:        2.0.7
Release:        1%{?dist}
Summary:        JAVA implementation of the L&B service client

License:        ASL 2.0
URL:            http://glite.cern.ch
Source:         http://scientific.zcu.cz/emi/emi.lb.client-java/%{name}-%{version}.tar.gz

BuildRequires:  ant
BuildRequires:  apache-commons-lang
BuildRequires:  axis
BuildRequires:  glite-jobid-api-java
BuildRequires:  glite-lb-types
BuildRequires:  glite-lb-ws-interface
BuildRequires:  libtool
BuildRequires:  log4j
BuildRequires:  perl
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(POSIX)
BuildRequires:  maven-local
Requires:       glite-jobid-api-java
Requires:       apache-commons-lang
%if 0%{?rhel} >= 7 || 0%{?fedora} >= 20
Requires:       java-headless
%else
Requires:       java
%endif

%description
JAVA implementation of the L&B service client. Supports producing (logging)
events into L&B, event and job status queries, and receiving notifications.


%package        axis
Summary:        Axis 1.4 flavor of Java L&B client
Requires:       %{name} = %{version}-%{release}
Requires:       glite-jobid-api-java
Requires:       apache-commons-lang
BuildArch:      noarch

%description    axis
This package contains java L&B client library based on Axis 1.4.


%package        javadoc
Summary:        Java API documentation for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    javadoc
This package contains java API documentation for java implementation of gLite
L&B client.


%prep
%setup -q


%build
perl ./configure --root=/ --prefix=%{_prefix} --libdir=%{_lib} --with-trustmanager=no
# parallel build not supported
CFLAGS="%{?optflags}" LDFLAGS="%{?__global_ldflags}" make LOADER_SOURCES=JNIFedoraLoader.java


%install
make install DESTDIR=%{buildroot}
# move API docs
mkdir -p %{buildroot}%{_javadocdir}
mv %{buildroot}%{_docdir}/%{name}-%{version}/api %{buildroot}%{_javadocdir}/%{name}
# move JNI
mkdir -p %{buildroot}%{_libdir}/%{name}
mv %{buildroot}%{_libdir}/libglite_lb_sendviasocket.so* %{buildroot}%{_libdir}/%{name}
# move JAR (using JNI)
mkdir -p %{buildroot}%{_jnidir}
mv %{buildroot}%{_javadir}/%{name}.jar %{buildroot}%{_jnidir}
rm -f %{buildroot}%{_libdir}/*.a
rm -f %{buildroot}%{_libdir}/*.la
mkdir -p %{buildroot}%{_mavenpomdir}
install -m 0644 JPP-%{name}.pom JPP-%{name}-axis.pom %{buildroot}%{_mavenpomdir}
%add_maven_depmap JPP-%{name}.pom %{name}.jar
%add_maven_depmap JPP-%{name}-axis.pom %{name}-axis.jar -f axis


%files -f .mfiles
%doc ChangeLog LICENSE
%dir %{_libdir}/%{name}/
%{_libdir}/%{name}/libglite_lb_sendviasocket.so
%{_libdir}/%{name}/libglite_lb_sendviasocket.so.0
%{_libdir}/%{name}/libglite_lb_sendviasocket.so.0.0.0

%files axis -f .mfiles-axis

%files javadoc
%{_javadocdir}/%{name}


%changelog
* Thu Jun 26 2014 František Dvořák <valtri@civ.zcu.cz> - 2.0.7-1
- New release 2.0.7 (L&B 4.1.2)
- Consistent style with buildroot macro
- Axis timeout patch in upstream

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat May 31 2014 František Dvořák <valtri@civ.zcu.cz> - 2.0.6-1
- Using .mfiles to build with javapackages 4.x

* Fri May 30 2014 František Dvořák <valtri@civ.zcu.cz> - 2.0.6-1
- New release 2.0.6 (L&B 4.1.1)
- apache-commons-lang also in axis subpackage

* Thu May 29 2014 Alexander Kurtakov <akurtako@redhat.com> 2.0.5-4
- Move from the old jakarta-commons-lang to new apache-commons-lang in BR/R.

* Mon Feb 24 2014 František Dvořák <valtri@civ.zcu.cz> - 2.0.5-3
- Switch to java-headless (RB #1068107)
- Try to fix build on armhfp (increase timeout, event the network is not used)

* Wed Jan 15 2014 František Dvořák <valtri@civ.zcu.cz> - 2.0.5-2
- Remove jpackage-utils (Build)Requires (needed only for EPEL <= 6)

* Fri Jan 10 2014 František Dvořák <valtri@civ.zcu.cz> - 2.0.5-1
- Initial package
